Subject: Re: [PATCH v7 04/33] files-backend: break out ref reading

From: Michael Haggerty <[email-masked]>
Date: Tue, 22 Mar 2016 09:33:08 +0100

On 03/20/2016 06:03 AM, Michael Haggerty wrote:
> On 03/01/2016 01:52 AM, David Turner wrote:
>> Refactor resolve_ref_1 in terms of a new function read_raw_ref, which
>> is responsible for reading ref data from the ref storage.
>>
>> Later, we will make read_raw_ref a pluggable backend function, and make
>> resolve_ref_unsafe common.
>>
>> Testing done: Hacked in code to run both old and new version of
>> resolve_ref_1 and compare all outputs, failing dramatically if outputs
>> differed.  Ran test suite.

I found some other subtle differences in the behavior after this patch.
I'm still working out the details.

Michael